Bug 1036462 - Review Request: unifont - Tools and glyph descriptions in a very simple text format
Review Request: unifont - Tools and glyph descriptions in a very simple text ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DESIGN-SW
  Show dependency treegraph
 
Reported: 2013-12-01 23:01 EST by Zbigniew Jędrzejewski-Szmek
Modified: 2014-01-11 03:38 EST (History)
6 users (show)

See Also:
Fixed In Version: unifont-6.3.20131221-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 03:29:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-12-01 23:01:15 EST
Spec URL: http://in.waw.pl/~zbyszek/fedora/unifont.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/unifont-6.3.20131020-1.fc20.src.rpm
Description: Tools and glyph descriptions in the unifont format
Fedora Account System Username: zbyszek

Unifont is a Unicode font with a glyph for every visible Unicode Basic
Multilingual Plane code point and more, with supporting utilities to
modify the font. The latest version of Unifont includes approximately
54,700 glyphs for all the visible Unicode BMP code points. Of this,
almost 28,000 glyphs are Chinese-Japanese-Korean (CJK) ideographs from
Qianqian Fang's Wen Quan Yi bitmap font.

From this source package two binary packages are produced: unifont contains the tools and .hex sources, and unifont-fonts contains the .ttf font.

Some history: unifont development stalled around 2003-2004, and unifont was superseded by wqy-unibit-fonts [1]. But later on unifont development resumed, and wqy-unibit-fonts manager supported the idea of additionally packaging unifont [2]. Recently unifont development has (again) resumed, and the project made the first release under GNU umbrella.

I'd like to package unifont because of it's unique text-based format. It'll likely be used by systemd as an emergency font in initramfs/system-boot/rescue-shell conditions [3].

[1] https://admin.fedoraproject.org/pkgdb/acls/name/wqy-unibit-fonts
[2] http://www.spinics.net/linux/fedora/fedora-fonts/msg00391.html
[3] http://lists.freedesktop.org/archives/systemd-devel/2013-November/014813.html
Comment 2 Christopher Meng 2013-12-02 01:03:21 EST
Chinese here :)

Swap with bug 1033037 if you want, last time I checked unifont it was still in 2008 version, happy to see the resurrection.
Comment 3 Christopher Meng 2013-12-05 05:11:54 EST
No optflags/ldflags inserted.
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-12-05 09:35:44 EST
v3: insert optflags/ldflags

Spec URL: http://in.waw.pl/~zbyszek/fedora/unifont.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/unifont-6.3.20131020-3.fc20.src.rpm
Comment 5 Christopher Meng 2013-12-09 02:38:41 EST
There might have some errors in the spec which caused my fedora-review failed to review:

DEBUG: Running: rpm -ql --dump -p /home/rpmaker/Desktop/unifont/results/unifont-6.3.20131020-3.fc21.i686.rpm
DEBUG: Running: rpm -ql --dump -p /home/rpmaker/Desktop/unifont/results/unifont-fonts-6.3.20131020-3.fc21.noarch.rpm
DEBUG: Running: rpm -ql --dump -p /home/rpmaker/Desktop/unifont/results/unifont-debuginfo-6.3.20131020-3.fc21.i686.rpm
DEBUG: Exception down the road...
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 215, in run
    self._do_run(outfile)
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 205, in _do_run
    self._do_report(outfile)
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 90, in _do_report
    self._run_checks(self.bug.spec_file, self.bug.srpm_file, outfile)
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 109, in _run_checks
    writedown=not Settings.no_report)
  File "/usr/lib/python2.7/site-packages/FedoraReview/checks.py", line 389, in run_checks
    run_check(name)
  File "/usr/lib/python2.7/site-packages/FedoraReview/checks.py", line 366, in run_check
    check.run()
  File "/usr/lib/python2.7/site-packages/FedoraReview/plugins/generic_build.py", line 192, in run
    listfiles()
  File "/usr/lib/python2.7/site-packages/FedoraReview/plugins/generic_build.py", line 168, in listfiles
    dirs, files = deps.listpaths(path)
  File "/usr/lib/python2.7/site-packages/FedoraReview/deps.py", line 183, in listpaths
    path, mode = line.rsplit(None, 10)[0:5:4]
ValueError: need more than 1 value to unpack
Comment 6 Parag AN(पराग) 2013-12-09 22:04:38 EST
I am not sure why fonts-bugs@lists.fedoraproject.org got removed from cc
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-12-13 15:11:28 EST
(In reply to Christopher Meng from comment #5)
> DEBUG: Exception down the road...
https://fedorahosted.org/FedoraReview/ticket/233

But you're right, the -debuginfo package was borked.

v3: do not strip binaries during installation

Spec URL: http://in.waw.pl/~zbyszek/fedora/unifont.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/unifont-6.3.20131020-4.fc20.src.rpm
Comment 8 Zbigniew Jędrzejewski-Szmek 2013-12-13 15:55:57 EST
OK, so fedora-review still doesn't work... because repoquery doesn't work.
% repoquery -l filesystem
failure: repodata/19cc80190af9badcf16e981479891dc2dc96e5f7d8316e9413c71d2075c1bcd9-filelists.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.
http://download-i2.fedoraproject.org/pub/fedora/linux/development/20/x86_64/os/repodata/19cc80190af9badcf16e981479891dc2dc96e5f7d8316e9413c71d2075c1bcd9-filelists.sqlite.bz2: [Errno 14] HTTP Error 404 - Not Found
http://mirrors.nebo.edu/public/fedora/linux/development/20/x86_64/os/repodata/19cc80190af9badcf16e981479891dc2dc96e5f7d8316e9413c71d2075c1bcd9-filelists.sqlite.bz2: [Errno 14] HTTP Error 404 - Not Found
...

But fedora-review works fine on F19. Tarred directory from fedora review is at http://in.waw.pl/~zbyszek/fedora/1036462-unifont.tar.xz if you don't have F19 at hand.
Comment 9 Zbigniew Jędrzejewski-Szmek 2013-12-17 14:10:59 EST
fedora-review issues are fixed in fedora-review-0.5.1.
Comment 10 Christopher Meng 2013-12-18 22:23:34 EST
Fine, I will review it later.
Comment 11 Christopher Meng 2013-12-27 03:47:34 EST
Hmm...

Please update this package to the latest version.

BTW your SRPM causes crashes of mock everytime, I have no idea now...

Remove string "#'"
Comment 12 Zbigniew Jędrzejewski-Szmek 2013-12-27 11:43:10 EST
v4: update version, remove #'

Upstream now has info files, so they are installed too.

Spec URL: http://in.waw.pl/~zbyszek/fedora/unifont.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/unifont-6.3.20131221-1.fc20.src.rpm

> BTW your SRPM causes crashes of mock everytime, I have no idea now...
Works for me :) Both fedora-20-i386, -x86_64, fedora-rawhide-i386, -86_64.
Comment 13 Christopher Meng 2013-12-28 03:06:03 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or
     later)". Detailed output of licensecheck:

*No copyright* GPL (v2 or later)
--------------------------------
unifont-6.3.20131221/src/unigencircles.c
unifont-6.3.20131221/src/unigenwidth.c

GPL (v2 or later)
-----------------
unifont-6.3.20131221/src/unibdf2hex.c
unifont-6.3.20131221/src/unibmp2hex.c
unifont-6.3.20131221/src/unicoverage.c
unifont-6.3.20131221/src/unidup.c
unifont-6.3.20131221/src/unifontpic.c
unifont-6.3.20131221/src/unihex2bmp.c
unifont-6.3.20131221/src/unihexgen.c

GPL (v3 or later)
-----------------
unifont-6.3.20131221/src/unipagecount.c

[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/fonts,
     /usr/share/doc/unifont

---> First one aybe a filesystem bug? Second one is an issue.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

---> Caused by font_pkg, may request a bug report later if you can.

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Texinfo files are installed using install-info in %post and %preun if
     package has .info files.
     Note: Texinfo .info file(s) in unifont
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://ftp.gnu.org/gnu/unifont/unifont-6.3.20131221/unifont-6.3.20131221.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags

---> My problem, ignored.

[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in unifont-
     fonts

---> Bug of fedora-review, I will patch it later.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 3901440 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: unifont-6.3.20131221-1.fc21.i686.rpm
          unifont-fonts-6.3.20131221-1.fc21.noarch.rpm
          unifont-6.3.20131221-1.fc21.src.rpm
unifont.i686: W: name-repeated-in-summary C unifont
unifont-fonts.noarch: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
unifont.src: W: name-repeated-in-summary C unifont
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint unifont-fonts unifont
unifont-fonts.noarch: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
unifont.i686: W: name-repeated-in-summary C unifont
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
unifont-fonts (rpmlib, GLIBC filtered):
    /bin/sh

unifont (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    fontpackages-filesystem
    info
    libc.so.6
    perl(GD)
    perl(Getopt::Long)
    rtld(GNU_HASH)



Provides
--------
unifont-fonts:
    font(:lang=aa)
    font(:lang=ab)
    font(:lang=af)
    font(:lang=ak)
    font(:lang=am)
    font(:lang=an)
    font(:lang=ar)
    font(:lang=as)
    font(:lang=ast)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=az-az)
    font(:lang=az-ir)
    font(:lang=ba)
    font(:lang=be)
    font(:lang=ber-dz)
    font(:lang=ber-ma)
    font(:lang=bg)
    font(:lang=bh)
    font(:lang=bho)
    font(:lang=bi)
    font(:lang=bin)
    font(:lang=bm)
    font(:lang=bn)
    font(:lang=bo)
    font(:lang=br)
    font(:lang=brx)
    font(:lang=bs)
    font(:lang=bua)
    font(:lang=byn)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=chm)
    font(:lang=chr)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=cu)
    font(:lang=cv)
    font(:lang=cy)
    font(:lang=da)
    font(:lang=de)
    font(:lang=doi)
    font(:lang=dv)
    font(:lang=dz)
    font(:lang=ee)
    font(:lang=el)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fa)
    font(:lang=fat)
    font(:lang=ff)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=ga)
    font(:lang=gd)
    font(:lang=gez)
    font(:lang=gl)
    font(:lang=gn)
    font(:lang=gu)
    font(:lang=gv)
    font(:lang=ha)
    font(:lang=haw)
    font(:lang=he)
    font(:lang=hi)
    font(:lang=hne)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=hy)
    font(:lang=hz)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ig)
    font(:lang=ii)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=iu)
    font(:lang=ja)
    font(:lang=jv)
    font(:lang=ka)
    font(:lang=kaa)
    font(:lang=kab)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kk)
    font(:lang=kl)
    font(:lang=km)
    font(:lang=kn)
    font(:lang=ko)
    font(:lang=kok)
    font(:lang=kr)
    font(:lang=ks)
    font(:lang=ku-am)
    font(:lang=ku-iq)
    font(:lang=ku-ir)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kv)
    font(:lang=kw)
    font(:lang=kwm)
    font(:lang=ky)
    font(:lang=la)
    font(:lang=lah)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=ln)
    font(:lang=lo)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mai)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mi)
    font(:lang=mk)
    font(:lang=ml)
    font(:lang=mn-cn)
    font(:lang=mn-mn)
    font(:lang=mni)
    font(:lang=mo)
    font(:lang=mr)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=my)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ne)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nqo)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=nv)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=or)
    font(:lang=os)
    font(:lang=ota)
    font(:lang=pa)
    font(:lang=pa-pk)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=ps-af)
    font(:lang=ps-pk)
    font(:lang=pt)
    font(:lang=qu)
    font(:lang=quz)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ro)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sa)
    font(:lang=sah)
    font(:lang=sat)
    font(:lang=sc)
    font(:lang=sco)
    font(:lang=sd)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sh)
    font(:lang=shs)
    font(:lang=si)
    font(:lang=sid)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sm)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sms)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=syr)
    font(:lang=ta)
    font(:lang=te)
    font(:lang=tg)
    font(:lang=th)
    font(:lang=ti-er)
    font(:lang=ti-et)
    font(:lang=tig)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=to)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=tt)
    font(:lang=tw)
    font(:lang=ty)
    font(:lang=tyv)
    font(:lang=ug)
    font(:lang=uk)
    font(:lang=ur)
    font(:lang=uz)
    font(:lang=ve)
    font(:lang=vi)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wal)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=yi)
    font(:lang=yo)
    font(:lang=za)
    font(:lang=zh-cn)
    font(:lang=zh-sg)
    font(:lang=zh-tw)
    font(:lang=zu)
    font(unifont)
    unifont-fonts

unifont:
    unifont
    unifont(x86-32)



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn unifont-6.3.20131221-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG
Comment 14 Zbigniew Jędrzejewski-Szmek 2013-12-28 10:33:45 EST
Thank you for the review.

(In reply to Christopher Meng from comment #13)
> [x]: License file installed when any subpackage combination is installed.
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/fonts,
>      /usr/share/doc/unifont
Fixed both.

> [x]: Each %files section contains %defattr if rpm < 4.4
>      Note: %defattr present but not needed
> 
> ---> Caused by font_pkg, may request a bug report later if you can.
https://bugzilla.redhat.com/show_bug.cgi?id=1047031

> Rpmlint
> -------
> Checking: unifont-6.3.20131221-1.fc21.i686.rpm
>           unifont-fonts-6.3.20131221-1.fc21.noarch.rpm
>           unifont-6.3.20131221-1.fc21.src.rpm
> unifont.i686: W: name-repeated-in-summary C unifont
> unifont-fonts.noarch: W: spelling-error %description -l en_US glyphs ->
> glyph, glyph s
> unifont.src: W: name-repeated-in-summary C unifont
> 3 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> unifont.i686: W: name-repeated-in-summary C unifont
> 2 packages and 0 specfiles checked; 0 errors, 2 warnings.
> # echo 'rpmlint-done:'
I changed the summaries and descriptions to be more verbose.

Spec URL: http://in.waw.pl/~zbyszek/fedora/unifont.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/unifont-6.3.20131221-2.fc20.src.rpm
Comment 15 Zbigniew Jędrzejewski-Szmek 2013-12-28 10:39:16 EST
I also filed https://savannah.gnu.org/bugs/index.php?41020.
Comment 16 Nicolas Mailhot 2013-12-30 06:04:21 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #14)
> Thank you for the review.
> 
> (In reply to Christopher Meng from comment #13)
> > [x]: License file installed when any subpackage combination is installed.
> > [!]: Package must own all directories that it creates.
> >      Note: Directories without known owners: /usr/share/fonts,

This directory should be owned by fontpackages if the deps have been properly declared
Comment 17 Zbigniew Jędrzejewski-Szmek 2013-12-30 11:45:02 EST
(In reply to Nicolas Mailhot from comment #16)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #14)
> > Thank you for the review.
> > 
> > (In reply to Christopher Meng from comment #13)
> > > [x]: License file installed when any subpackage combination is installed.
> > > [!]: Package must own all directories that it creates.
> > >      Note: Directories without known owners: /usr/share/fonts,
> 
> This directory should be owned by fontpackages if the deps have been
> properly declared
Yes. R:fontpackages-filesystem was attached to the wrong subpackage and is now fixed (in unifont-6.3.20131221-2 above).
Comment 18 Christopher Meng 2013-12-30 21:15:13 EST
PACKAGE APPROVED.
Comment 19 Christopher Meng 2013-12-30 21:20:29 EST
Also as usual %files section should be placed after %post/%preun, you'd better change the order. But it's not a MUST.
Comment 20 Zbigniew Jędrzejewski-Szmek 2013-12-30 22:14:23 EST
Thank you for the review!


New Package SCM Request
=======================
Package Name: unifont
Short Description: Tools and glyph descriptions in a very simple text format
Owners: zbyszek
Branches: f19 f20
InitialCC:
Comment 21 Jens Petersen 2014-01-02 07:34:01 EST
Git done (by process-git-requests).
Comment 22 Fedora Update System 2014-01-02 11:54:46 EST
unifont-6.3.20131221-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/unifont-6.3.20131221-2.fc20
Comment 23 Fedora Update System 2014-01-02 11:56:25 EST
unifont-6.3.20131221-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/unifont-6.3.20131221-2.fc19
Comment 24 Fedora Update System 2014-01-03 03:32:49 EST
unifont-6.3.20131221-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 25 Fedora Update System 2014-01-11 03:29:02 EST
unifont-6.3.20131221-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 26 Fedora Update System 2014-01-11 03:38:10 EST
unifont-6.3.20131221-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.